body {
    font-family: 'Roboto', sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    margin: 0;
    background-color: #282c34;
    color: #e0e0e0;
    height: 100%;

}
h1 {
    margin-bottom: 20px;
    color: #61dafb;
    font-size: 2.5em;
}
#game-container {
    text-align: center;
    margin-bottom: 30px;
}
#game-board {
    display: grid;
    grid-template-columns: repeat(4, 100px);
    grid-gap: 15px;
    margin-bottom: 20px;
}
.color-tile {
    width: 100px;
    height: 100px;
    border-radius: 10px;
    cursor: pointer;
    background-color: #3c4043;
    border: 2px solid #43464b;
    transition: background-color 0.3s, transform 0.3s, border-color 0.3s;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.4);
}
.color-tile:hover {
    transform: scale(1.1);
    border-color: #61dafb;
}
.color-tile.matched {
    border-color: #61dafb;
    background-color: #61dafb;
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.5);
}
#score, #timer, #status, #round {
    margin: 10px 0;
    font-size: 18px;
}
#score, #timer, #round {
    color: #b0bec5;
}
#status {
    color: #f57c00;
    font-weight: bold;
}
#reset-button, #about-button, #play-button {
    padding: 12px 24px;
    font-size: 18px;
    cursor: pointer;
    border: none;
    border-radius: 8px;
    transition: background-color 0.3s, transform 0.3s;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.4);
}
#reset-button {
    background-color: #ff4081;
    color: white;
}
#reset-button:hover {
    background-color: #c51162;
    transform: scale(1.05);
}
#about-button {
    background-color: #4caf50;
    color: white;
}
#about-button:hover {
    background-color: #388e3c;
    transform: scale(1.05);
}
#play-button {
    background-color: #2196f3;
    color: white;
}
#play-button:hover {
    background-color: #1976d2;
    transform: scale(1.05);
}
/* Modal Styles */
#about-modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.7);
    justify-content: center;
    align-items: center;
}
#modal-content {
    background-color: #f5f5f5; /* Changed background color */
    color: #333;
     background-color: #282c34;
    color: #e0e0e0;
    padding: 20px;
    font-size: 18px;
    border-radius: 10px;
    max-width:550px;
/*    max-width:85%;*/
    position: relative;
}
#modal-close {
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 30px;
    cursor: pointer;
    color: white;
}

@media (max-width: 600px){
    h1 {
    font-size: 2em;
}
#game-container {
    text-align: center;
    margin-bottom: 30px;
}
#game-board {
    grid-template-columns: repeat(4, 80px);
}
.color-tile {
    width: 80px;
    height: 80px;
}
#modal-content{
    max-width:85%;
}
}
